Subject: [bug#53878] [PATCH v7 00/24] Update Racket to 8.4. Adjust Chez Scheme packages.

From: Philip McGrath <[email-masked]>
Date: Sun, 27 Feb 2022 16:28:56 -0500

Hi,

On Sunday, February 27, 2022 3:42:46 AM EST Liliana Marie Prikler wrote:
> 
> Perhaps I wasn't clear enough about this in v5, but I think spec should
> be a single argument rather than multiple ones.  This way, if we do
> find that we need to extend it to support an additional argument, we
> don't have to awkwardly code around the #:rest.
> 

Rather than debate it, I'm sending a v7 with the change to patch 03/24 that
Liliana requested in <https://issues.guix.gnu.org/53878#187>.

In the medium term, I'd rather put effort into making a `racket-build-system`
than tinker too much with the current way of doing things.

 -Philip

Philip McGrath (24):
  gnu: Use license prefix in (gnu packages racket).
  gnu: racket: Update to 8.4.
  gnu: racket: Use Git origins for Racket packages.
  gnu: racket-minimal: Use new package style.
  gnu: racket-minimal: Don't configure non-existant catalogs.
  gnu: racket-minimal: Change inheritance to follow bootstrapping.
  gnu: racket-minimal: Adjust indentation.
  gnu: racket-minimal: Add "debug" output.
  gnu: configure-layer.rkt: Adjust indentation.
  gnu: racket-minimal: Separate from the Racket VM.
  gnu: racket: Move Chez bootfiles to (gnu packages chez).
  gnu: chez: Add utilities for Chez machine types.
  gnu: racket: Add 'racket-vm-for-system'.
  gnu: chez-scheme: Use new style for Chez packages.
  gnu: chez-scheme: Use "lib/chez-scheme" for search path.
  gnu: chez-scheme: Use shared zlib and lz4.
  gnu: chez-scheme: Use new package style.
  gnu: Add stex.
  gnu: Add chez-nanopass.
  gnu: chez-scheme: Explicitly package bootstrap bootfiles.
  gnu: chez-mit: Support chez-scheme-for-racket.
  gnu: Add chez-scheme-for-racket.
  gnu: chez: Add 'chez-scheme-for-system'.
  gnu: racket-vm-cs: Build with "--enable-scheme".

 gnu/local.mk                                  |    4 +-
 gnu/packages/chez.scm                         | 1264 ++++++++++-----
 gnu/packages/emacs-xyz.scm                    |    2 +-
 gnu/packages/loko.scm                         |    2 +-
 .../racket-enable-scheme-backport.patch       |  465 ++++++
 ...acket-gui-tethered-launcher-backport.patch |   26 +
 gnu/packages/racket.scm                       | 1433 +++++++++++------
 7 files changed, 2342 insertions(+), 854 deletions(-)
 create mode 100644 gnu/packages/patches/racket-enable-scheme-backport.patch
 create mode 100644 gnu/packages/patches/racket-gui-tethered-launcher-backport.patch

-- 
2.32.0